description

# ProcessResult class Null safety

ProcessResult represents the result of running a non-interactive process started with Process.run or Process.runSync.

## Constructors

ProcessResult(int pid, int exitCode, dynamic stdout, dynamic stderr)

## Properties

exitCode → int
  Exit code for the process. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
pid → int
  Process id of the process.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stderr → dynamic
  Standard error from the process. The value used for the `stderrEncoding` argument to `Process.run` determines the type. If `null` was used this value is of type `List<int>` otherwise it is of type `String`.
  final
stdout → dynamic
  Standard output from the process. The value used for the `stdoutEncoding` argument to `Process.run` determines the type. If `null` was used this value is of type `List<int>` otherwise it is of type `String`.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited